import * as uuid from 'uuid'
import { Students } from './../sqlz/models/students'


export function create(students: any): Promise<any> {
    return Students.create({
        id: uuid.v1(),
        code: students.code,
        firstname: students.firstname,
        lastname: students.lastname,
        email: students.email,
        sdt: students.sdt
        
    })
}
export function findAll(): Promise<any> {
    return Students.findAll()

}

export function findStudentPagination(page: any, pagesize: any): Promise<any>{
    return Students.findAll({
        offset: (page - 1 ) * pagesize,
        limit: pagesize
        
    })
    
}

export function deleteUser(code: any): Promise<any> {
    return Students.destroy({
        where:{code}
    })
}

export function updateUser(code: any, students: any): Promise<any> {
    return Students.findOne({
        where: {code}
    }).then(function(student) {
        if (student) {
            student.update({
                firstname: students.firstname,
                lastname: students.lastname,
                email: students.email,
                sdt: students.sdt
            })
        }
    })
}
